<div class="container-fluid">
    <div class="row">
        <div class="col-md-2">
        <h2>
            Contacts
        </h2>
        
        <div class="d-flex justify-content-center" *ngIf="loading">
            <div class="spinner-border" role="status">
            </div>
          </div>

        <div class="list-group list-group-flush" *ngIf="!loading">
            <a *ngFor="let customer of customers" class="list-group-item list-group-item-action"
            [routerLink]="['customerDetails/']" [state]=customer>
                {{customer.lastName}}, {{customer.salutation}} {{customer.firstName}}
            </a>
        </div>
    </div>
    </div>
</div>